Annonce

Lorsque vous exposez un problème que vous rencontrez sur votre site, n’omettez pas de bien préciser l’adresse de la page (URL) concernée.

Ouvrez un nouveau sujet de discussion pour poser une question, n'utilisez pas une discussion déjà ouverte si votre problème est différent.
Lorsque votre sujet est résolu, indiquez-le en cliquant sur le lien "Passer le sujet en résolu".

Pour les possesseurs de sites Minecraft : Tous les ports TCP/UDP en sortie sont ouverts.
Pour en savoir plus : https://www.franceserv.fr/wiki/minecraft

#1 01/01/2020 14:45:14

elodie
Responsable/CEO FranceServ Hébergement
Lieu : Jura
Inscription : 02/04/2010
Messages : 7 551
Site Web

Bonne année 2020 et dates d'abandons de PHP 5.6, 7.0 et 7.1

Bonjour,

En ce 1er janvier 2020, je vous souhaite une bonne et heureuse nouvelle année.

Comme en chaque début de janvier, c'est le bon moment de prendre de bonnes résolutions. Par exemple, maintenir à jour l'ensemble de vos solutions Web dans un premier temps mais aussi et surtout : utiliser la dernière version du moteur PHP proposée chez FranceServ Hébergement.

Vous avez ces 2 éléments à mettre à jour chaque année : votre site et la version PHP que votre site utilise.

En utilisant une version PHP récente pour votre site vous ne sécurisez pas seulement votre site, vous le rendez plus rapide et plus réactif pour vos internautes. Avec le même script PHP de Benchmark que j'ai pu tester sur les différentes versions PHP chez FranceServ Hébergement, il s'avère que plus la version est récente et plus le temps d'exécution est rapide.

Voyez par vous-même :

- 2,085s avec PHP 5.6 (plus maintenu à jour depuis janvier 2019, il y a 1 an)
- 0,700s avec PHP 7.0 (plus maintenu à jour depuis décembre 2018, il y a 1 an)
- 0,687s avec PHP 7.1 (plus maintenu à jour depuis le 1er décembre 2019)
- 0,663s avec PHP 7.2 (sera abandonné en novembre 2020)
- 0,592s avec PHP 7.3 (sera abandonné en décembre 2021)
- 0,524s avec PHP 7.4 (sera abandonné en novembre 2022)

Les versions PHP 5.6, 7.0 sont obsolètes depuis 1 an et la version 7.1 depuis le 1er décembre 2019. Malheureusement, près de 42 % des hébergés utilisent encore ces 2 anciennes versions et en prenant en compte l'ensemble des versions obsolètes avec la version 7.1 ceci fait près de 84 % des hébergés qui ne sont pas à jour. Ce pourcentage est assez préoccupant et problématique pour ne pas réagir.

Si vous avez des sites utilisant les versions 5.6, 7.0 et 7.1, il vous faut impérativement réagir. Un site c'est comme une voiture, si vous ne l'entretenez pas il fonctionnera moins bien et au bout d'un moment il pourrait ne plus fonctionner du tout et mis à la fourrière.

Ce qu'il vous faut effectuer :

Rendez-vous à l'adresse https://www.franceserv.fr/admin et vérifiez dans l'encadré « Mes sites » si vous avez un triangle « danger » dans la liste de vos sites avec une annotation de version PHP obsolète. Si c'est le cas, cliquez sur le lien en face de ce message et mettez à jour la version PHP qu'utilise votre site. Attention, il faut que votre site soit lui-même à jour, si ce n'est pas le cas, réessayez.

Utilisez de préférence la dernière version PHP et si votre site ne fonctionne pas sur la version 7.4, rétrogradez alors à la version 7.3 ou la version 7.2 si la version 7.3 est encore trop récente pour votre site Internet. Pour plus d'informations sur la compatibilité de votre site Internet, renseignez-vous auprès de son développeur ou sa communauté.

L'opération est réversible, vous pourrez repasser votre site sur son ancienne version PHP afin de travailler dessus et le mettre à jour entièrement, jusqu'au moment où les versions PHP 5.6, 7.0 et 7.1 seront définitivement abandonnées chez FSH.

Ce qu'il vous faut savoir :

- Les versions PHP 5.6 & 7.0 seront définitivement abandonnées chez FSH dans 3 mois, le 31 mars 2020.
- La version PHP 7.1 sera définitivement abandonnée chez FSH dans 6 mois, le 30 juin 2020.

Il est fortement recommandé de changer vous-mêmes la version PHP de vos sites avant que les robots de FranceServ Hébergement le fassent à la date butoir. Car au moment de l'interruption des anciennes versions PHP, si votre site n'est pas compatible, il ne vous sera plus possible de revenir à l'ancienne version de PHP, afin de travailler dessus plus posément et dialoguer éventuellement avec les développeurs ou leurs communautés.

À nouveau, je vous souhaite une bonne et heureuse année 2020. Pensez à maintenir à jour vos sites Internet dès maintenant et merci de votre fidélité.

Cordialement,


P8OdseCN.gifVous avez une question ?

Posez-la de préférence sur le forum et si ça demande un contact plus instantané, n'hésitez pas à vous rendre sur le t'chat IRC. Si votre question est personnelle, utilisez alors dans ce cas le formulaire de contact ou alors le téléphone.

Hors ligne

Pied de page des forums

[ Générées en 0.015 secondes, 11 requêtes exécutées - Utilisation de la mémoire : 588.41 Kio (pic d'utilisation : 632.67 Kio) ]